function msg(str)
  if str == nil then str = 'nil' end
  reaper.ShowConsoleMsg(str..'\n')
end

function TrackSelected ()
  local counttracks
  counttracks = reaper.CountTracks(0)
  if counttracks == nil then return end
  _, user_input = reaper.GetUserInputs("Save config as", 1, "prefix_name", "")
  if user_input:match(".") then
    user_input_str = user_input.."_"
  end

  for i=1, counttracks do
    track = reaper.GetTrack(0, i-1)

    _, tr_name = reaper.GetSetMediaTrackInfo_String(track, 'P_NAME', '', false)

    if tr_name and user_input_str then
      tr_name_n = string.sub(tr_name, 1, string.len (user_input_str))

      if string.match(tr_name_n, user_input_str) then
        reaper.SetMediaTrackInfo_Value(track, 'B_SHOWINMIXER', 1)
      else
        reaper.SetMediaTrackInfo_Value(track, 'B_SHOWINMIXER', 0)
      end
    end
    if user_input == "!" then
      reaper.SetMediaTrackInfo_Value(track, 'B_SHOWINMIXER', 1)
    end
  end

end

TrackSelected ()

reaper.TrackList_AdjustWindows(false)
